from turtle import *
from math import *
"""
This program draws a logarithmic spiral using the parametric equation x(t) = cos(t)(ae^bt) 
                                                                       y(t) = sin(t)(ae^bt)
                                                      where a and b are arbitrary constants
You can read more about logarithmic spirals at https://en.wikipedia.org/wiki/Logarithmic_spiral
"""
def main():
    # These two values for a and b are very arbitrary, change them and see what happens!
    a=0.20
    b=0.20
  # This sets the turtle cursor to the center of the screen and readies it for drawing
    up()
    color("red")
    FONT_SIZE = 40
    FONT = ("Arial", FONT_SIZE, "bold")
    setpos(0, 0)
    down()

    # This is an arbitrary range that seems to make the prettiest spirals
    # The last parameter is the amount the cursor moves per step. Feel free to mess around with the numbers
    # and see what happens!
    for i in range(0, 2400, 5):
      # Draw a spiral 
        t = radians(i)
        x = a*exp(b*t)*cos(t)
        y = a*exp(b*t)*sin(t)
        # Since our turtle is down, we'll be drawing the spiral as we move positions.
        setpos(x, y)
        print(i)

    color("blue")
    up()
    goto(0,150)
    write("Logarithmic Spiral - Parametric Equation", align="center", font=FONT)
    hideturtle()
    done()

        
main()
